unit Unit3;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  Vcl.StdCtrls, VclTee.TeEngine, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.Series, VclTee.TeePolar, VclTee.TeeLisB, Vcl.Buttons, VclTee.TeeEdiGrad,
  Vcl.Imaging.jpeg, VclTee.TeePoin3, VclTee.TeeTools, VclTee.TeeSurfa;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    ButtonExit: TButton;
    Series1: TLineSeries;
    Edit1: TEdit;
    RadioGroup1: TRadioGroup;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ButtonExitClick(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  with Chart1 do
    begin
      View3D := false;
      View3DWalls := false;
      Chart3DPercent := 0;
      Legend.Visible := false;
      Title.Visible := false;
    end;

  if Chart1.SeriesCount > 0 then
    Chart1.FreeAllSeries();
  for i := 0 to 2 do
    begin
      with Chart1 do
        begin
          AddSeries(TPoint3DSeries);
          with (Series[SeriesCount - 1] as TPoint3DSeries) do
            begin
              FillSampleValues;
              LinePen.Visible := true;
              LinePen.Style := psSolid;
              LinePen.Color := Color;
              LinePen.Width := 2;
              Pointer.Visible := false;
            end;
        end;
    end;
  if RadioGroup1.ItemIndex < 0 then
    RadioGroup1.ItemIndex := 0;
end;

procedure TForm1.Edit1Exit(Sender: TObject);
var
  V: real;
  Code: Integer;
begin
  if trim(Edit1.Text) = '' then
    Exit;
  Val(Edit1.Text, V, Code);
  if Code = 0 then
    begin
      V := Abs(V);
      if RadioGroup1.ItemIndex = 0 then
        Chart1.BottomAxis.Increment := V
      else if RadioGroup1.ItemIndex = 1 then
        Chart1.LeftAxis.Increment := V;
    end;
end;

procedure TForm1.ButtonExitClick(Sender: TObject);
begin
  close;
end;

end.
